/*                          
 * mBench: The Open Source Micro Benchmark Tool 
 *                                             
 * Distributable under GPL license. 
 * See terms of license at gnu.org.                 
 *
 * Copyright (C) 2005 Sumisho Computer Systems Corp.
 */
package test.jp.co.scs.mbench.stub;

import jp.co.scs.mbench.BenchmarkTerminateException;
import jp.co.scs.mbench.Finalizer;

/**
 *      @author Toshio Sugahara
 */
public class StubFinalizeManager02
        implements Finalizer {

    private String finalizerName = null;

    private boolean executeFlg = false;

    public String getFinalizerName() {
        return this.finalizerName;
    }

    public void setFinalizerName(String finalizerName) {
        this.finalizerName = finalizerName;
    }

    public boolean isExecuteFlg() {
        return this.executeFlg;
    }

    public void setExecuteFlg(boolean executeFlg) {
        this.executeFlg = executeFlg;
    }

    public void execute() throws BenchmarkTerminateException {
        throw new BenchmarkTerminateException();
    }
}
